#!/usr/bin/perl
#
#  Generate bit count table. Indexed with a byte, that table yields
#  the number of bits set in the table.
#

foreach $i (0 .. 255) {
    my $sum = 0;
    foreach $j (0 .. 7) {
        if ($i & (1 << $j)) { ++$sum }
    }
    printf "%d,", $sum;
    print "\n" if ($i % 16 == 15);
}
